import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

public class equilibrium5
{
  public static void main(String arg[])
  {   chemicalReaction r[]=new chemicalReaction[1];
      String s[]={"h2","o2","h2o"};
      double N1[][]={{0.0,1.0},{0,0.5},{1,0}};
      r[0]=new chemicalReaction("r0",s,N1);
      double Tproduct=2500.0;//degree K
      double Treactant=2500.0;//degree K
      double n0[]={1.0,1.0,0.0};
      double P=1.01325;//bar
	  f_equilibrium fe=new f_equilibrium(n0,s,r,Treactant,Tproduct,P);  
	  double n[]={0.5,0.5,0.5};  
	  double [] r1= continuity.continuationRK6(fe,n,20);
	  String ss[]={"nH2","nO2","H2O"};
	  String ss1="Equilibrium reaction H+"+'\u00BD'+"1/2O2"+'\u21C4'+" H"+'\u00BD'+"O \n";
	  ss1+=" "+"at T="+Tproduct+" K ";
	  fe.equilibrium_print(r1);
  }
}
